﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using QRCoder;
using System.IO;
using System.Drawing;
using System.Drawing.Imaging;

namespace QRCode_Core_Razor.Pages
{
    public class IndexModel : PageModel
    {
        public string QRCode { get; set; }
        public void OnGet()
        {
        }

        public void OnPostGenerate(string qrcode)
        {
            using (MemoryStream ms = new MemoryStream())
            {
                QRCodeGenerator qrGenerator = new QRCodeGenerator();
                QRCodeData qrCodeData = qrGenerator.CreateQrCode(qrcode, QRCodeGenerator.ECCLevel.Q);
                QRCode qrCode = new QRCode(qrCodeData);
                using (Bitmap bitMap = qrCode.GetGraphic(20))
                {
                    bitMap.Save(ms, ImageFormat.Png);
                    this.QRCode = "data:image/png;base64," + Convert.ToBase64String(ms.ToArray());
                }
            }
        }
    }
}